'use strict';

angular.module('adf.widget.electre.symod')
    .directive('symodChartDisplay', [
        "SYMOD_TEMPLATE_PATH",
        function (SYMOD_TEMPLATE_PATH) {
            var templateUrl_;

            return {
                scope : {
                    control : '='
                },
                link : function (scope, element, attrs) {
                    scope.type  = scope.control.type;
                    scope.width = scope.control.width;
                    scope.height= scope.control.height;
                    scope.url   = scope.control.url;
                    scope.getData = function (value) {
                        return JSON.parse(value).chartData;
                    };

                    templateUrl_ = "success.html";
                    scope.valid = true;

                    scope.getTemplateUrl = function () {
                        if (scope.valid)        return SYMOD_TEMPLATE_PATH + "/" + templateUrl_;
                        else if (scope.error)   return SYMOD_TEMPLATE_PATH + "/error.html";
                        else                    return false; 
                        
                    };
                },
                template : "<div ng-include='getTemplateUrl()'></div>"
            };
        }
    ]);